xine-lib: xine-lib-1.2.12/src/libw32dll/DirectShow/outputpin.c File Reference

xine-lib 1.2.12

Data Structures | Typedefs | Functions
outputpin.c File Reference
`#include "../wine/winerror.h"`
`#include "../wine/windef.h"`
`#include "outputpin.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`

## Data Structures
struct | CEnumMediaTypes
struct | _COutputMemPin

## Typedefs
typedef struct CEnumMediaTypes | CEnumMediaTypes

## Functions
static int | output_unimplemented (const char *s, void *p)
static HRESULT STDCALL | CEnumMediaTypes_Next (IEnumMediaTypes *This, ULONG cMediaTypes, AM_MEDIA_TYPE **ppMediaTypes, ULONG *pcFetched)
static HRESULT STDCALL | CEnumMediaTypes_Skip (IEnumMediaTypes *This, ULONG cMediaTypes)
static HRESULT STDCALL | CEnumMediaTypes_Reset (IEnumMediaTypes *This)
static HRESULT STDCALL | CEnumMediaTypes_Clone (IEnumMediaTypes *This, IEnumMediaTypes **ppEnum)
static void | CEnumMediaTypes_Destroy (CEnumMediaTypes *This)
static long STDCALL | CEnumMediaTypes_QueryInterface (IUnknown *This, const GUID *riid, void **ppvObject)
static long STDCALL | CEnumMediaTypes_AddRef (IUnknown *This)
static long STDCALL | CEnumMediaTypes_Release (IUnknown *This)
static CEnumMediaTypes * | CEnumMediaTypesCreate (const AM_MEDIA_TYPE *amt)
static HRESULT STDCALL | COutputPin_QueryInterface (IUnknown *This, const GUID *iid, void **ppv)
static HRESULT STDCALL | COutputPin_Connect (IPin *This, IPin *pReceivePin, AM_MEDIA_TYPE *pmt)
static HRESULT STDCALL | COutputPin_ReceiveConnection (IPin *This, IPin *pConnector, const AM_MEDIA_TYPE *pmt)
static HRESULT STDCALL | COutputPin_Disconnect (IPin *This)
static HRESULT STDCALL | COutputPin_ConnectedTo (IPin *This, IPin **pPin)
static HRESULT STDCALL | COutputPin_ConnectionMediaType (IPin *This, AM_MEDIA_TYPE *pmt)
static HRESULT STDCALL | COutputPin_QueryPinInfo (IPin *This, PIN_INFO *pInfo)
static HRESULT STDCALL | COutputPin_QueryDirection (IPin *This, PIN_DIRECTION *pPinDir)
static HRESULT STDCALL | COutputPin_QueryId (IPin *This, LPWSTR *Id)
static HRESULT STDCALL | COutputPin_QueryAccept (IPin *This, const AM_MEDIA_TYPE *pmt)
static HRESULT STDCALL | COutputPin_EnumMediaTypes (IPin *This, IEnumMediaTypes **ppEnum)
static HRESULT STDCALL | COutputPin_QueryInternalConnections (IPin *This, IPin **apPin, ULONG *nPin)
static HRESULT STDCALL | COutputPin_EndOfStream (IPin *This)
static HRESULT STDCALL | COutputPin_BeginFlush (IPin *This)
static HRESULT STDCALL | COutputPin_EndFlush (IPin *This)
static HRESULT STDCALL | COutputPin_NewSegment (IPin *This, REFERENCE_TIME tStart, REFERENCE_TIME tStop, double dRate)
static HRESULT STDCALL | COutputPin_M_QueryInterface (IUnknown *This, const GUID *iid, void **ppv)
static HRESULT STDCALL | COutputPin_GetAllocator (IMemInputPin *This, IMemAllocator **ppAllocator)
static HRESULT STDCALL | COutputPin_NotifyAllocator (IMemInputPin *This, IMemAllocator *pAllocator, int bReadOnly)
static HRESULT STDCALL | COutputPin_GetAllocatorRequirements (IMemInputPin *This, ALLOCATOR_PROPERTIES *pProps)
static HRESULT STDCALL | COutputPin_Receive (IMemInputPin *This, IMediaSample *pSample)
static HRESULT STDCALL | COutputPin_ReceiveMultiple (IMemInputPin *This, IMediaSample **pSamples, long nSamples, long *nSamplesProcessed)
static HRESULT STDCALL | COutputPin_ReceiveCanBlock (IMemInputPin *This)
static void | COutputPin_SetFramePointer (COutputPin *This, char **z)
static void | COutputPin_SetPointer2 (COutputPin *This, char *p)
static void | COutputPin_SetFrameSizePointer (COutputPin *This, long *z)
static void | COutputPin_SetNewFormat (COutputPin *This, const AM_MEDIA_TYPE *amt)
static void | COutputPin_Destroy (COutputPin *This)
static HRESULT STDCALL | COutputPin_AddRef (IUnknown *This)
static HRESULT STDCALL | COutputPin_Release (IUnknown *This)
static HRESULT STDCALL | COutputPin_M_AddRef (IUnknown *This)
static HRESULT STDCALL | COutputPin_M_Release (IUnknown *This)
COutputPin * | COutputPinCreate (const AM_MEDIA_TYPE *amt)

## Typedef Documentation

## ◆ CEnumMediaTypes

typedef struct CEnumMediaTypes CEnumMediaTypes

## Function Documentation

## ◆ CEnumMediaTypes_AddRef()

static long STDCALL CEnumMediaTypes_AddRef | ( | IUnknown * | This | ) |
| static

Referenced by CEnumMediaTypesCreate().

## ◆ CEnumMediaTypes_Clone()

static HRESULT STDCALL CEnumMediaTypes_Clone | ( | IEnumMediaTypes * | This,
|  | IEnumMediaTypes ** | ppEnum
| ) |  |
| static

References Debug.

Referenced by CEnumMediaTypesCreate().

## ◆ CEnumMediaTypes_Destroy()

static void CEnumMediaTypes_Destroy | ( | CEnumMediaTypes * | This | ) |
| static

References CEnumMediaTypes::vt.

## ◆ CEnumMediaTypes_Next()

static HRESULT STDCALL CEnumMediaTypes_Next | ( | IEnumMediaTypes * | This,
|  | ULONG | cMediaTypes,
|  | AM_MEDIA_TYPE ** | ppMediaTypes,
|  | ULONG * | pcFetched
| ) |  |
| static

References AM_MEDIA_TYPE, Debug, and type.

Referenced by CEnumMediaTypesCreate().

## ◆ CEnumMediaTypes_QueryInterface()

static long STDCALL CEnumMediaTypes_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | riid,
|  | void ** | ppvObject
| ) |  |
| static

Referenced by CEnumMediaTypesCreate().

## ◆ CEnumMediaTypes_Release()

static long STDCALL CEnumMediaTypes_Release | ( | IUnknown * | This | ) |
| static

Referenced by CEnumMediaTypesCreate().

## ◆ CEnumMediaTypes_Reset()

static HRESULT STDCALL CEnumMediaTypes_Reset | ( | IEnumMediaTypes * | This | ) |
| static

References Debug.

Referenced by CEnumMediaTypesCreate().

## ◆ CEnumMediaTypes_Skip()

static HRESULT STDCALL CEnumMediaTypes_Skip | ( | IEnumMediaTypes * | This,
|  | ULONG | cMediaTypes
| ) |  |
| static

References output_unimplemented().

Referenced by CEnumMediaTypesCreate().

## ◆ CEnumMediaTypesCreate()

static CEnumMediaTypes * CEnumMediaTypesCreate | ( | const AM_MEDIA_TYPE * | amt | ) |
| static

References IEnumMediaTypes_vt::AddRef, CEnumMediaTypes_AddRef(), CEnumMediaTypes_Clone(), CEnumMediaTypes_Next(), CEnumMediaTypes_QueryInterface(), CEnumMediaTypes_Release(), CEnumMediaTypes_Reset(), CEnumMediaTypes_Skip(), IEnumMediaTypes_vt::Clone, IID_IEnumMediaTypes, CEnumMediaTypes::interfaces, IEnumMediaTypes_vt::Next, NULL, IEnumMediaTypes_vt::QueryInterface, CEnumMediaTypes::refcount, IEnumMediaTypes_vt::Release, IEnumMediaTypes_vt::Reset, IEnumMediaTypes_vt::Skip, CEnumMediaTypes::type, and CEnumMediaTypes::vt.

Referenced by COutputPin_EnumMediaTypes().

## ◆ COutputPin_AddRef()

static HRESULT STDCALL COutputPin_AddRef | ( | IUnknown * | This | ) |
| static

References Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_BeginFlush()

static HRESULT STDCALL COutputPin_BeginFlush | ( | IPin * | This | ) |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_Connect()

static HRESULT STDCALL COutputPin_Connect | ( | IPin * | This,
|  | IPin * | pReceivePin,
|  | AM_MEDIA_TYPE * | pmt
| ) |  |
| static

References Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_ConnectedTo()

static HRESULT STDCALL COutputPin_ConnectedTo | ( | IPin * | This,
|  | IPin ** | pPin
| ) |  |
| static

References Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_ConnectionMediaType()

static HRESULT STDCALL COutputPin_ConnectionMediaType | ( | IPin * | This,
|  | AM_MEDIA_TYPE * | pmt
| ) |  |
| static

References Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_Destroy()

static void COutputPin_Destroy | ( | COutputPin * | This | ) |
| static

References _COutputPin::mempin, _COutputMemPin::vt, and _COutputPin::vt.

Referenced by COutputPin_M_Release(), COutputPin_Release(), and COutputPinCreate().

## ◆ COutputPin_Disconnect()

static HRESULT STDCALL COutputPin_Disconnect | ( | IPin * | This | ) |
| static

References Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_EndFlush()

static HRESULT STDCALL COutputPin_EndFlush | ( | IPin * | This | ) |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_EndOfStream()

static HRESULT STDCALL COutputPin_EndOfStream | ( | IPin * | This | ) |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_EnumMediaTypes()

static HRESULT STDCALL COutputPin_EnumMediaTypes | ( | IPin * | This,
|  | IEnumMediaTypes ** | ppEnum
| ) |  |
| static

References CEnumMediaTypesCreate(), and Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_GetAllocator()

static HRESULT STDCALL COutputPin_GetAllocator | ( | IMemInputPin * | This,
|  | IMemAllocator ** | ppAllocator
| ) |  |
| static

References Debug, MemAllocatorCreate(), and _IMemInputPin::vt.

Referenced by COutputPinCreate().

## ◆ COutputPin_GetAllocatorRequirements()

static HRESULT STDCALL COutputPin_GetAllocatorRequirements | ( | IMemInputPin * | This,
|  | ALLOCATOR_PROPERTIES * | pProps
| ) |  |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_M_AddRef()

static HRESULT STDCALL COutputPin_M_AddRef | ( | IUnknown * | This | ) |
| static

References Debug, _COutputMemPin::parent, and _COutputPin::refcount.

Referenced by COutputPinCreate().

## ◆ COutputPin_M_QueryInterface()

static HRESULT STDCALL COutputPin_M_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | iid,
|  | void ** | ppv
| ) |  |
| static

References IPin_vt::AddRef, IMemInputPin_vt::AddRef, Debug, IID_IMemInputPin, _COutputPin::mempin, _COutputMemPin::vt, and _COutputPin::vt.

Referenced by COutputPinCreate().

## ◆ COutputPin_M_Release()

static HRESULT STDCALL COutputPin_M_Release | ( | IUnknown * | This | ) |
| static

References COutputPin_Destroy(), Debug, _COutputMemPin::parent, and _COutputPin::refcount.

Referenced by COutputPinCreate().

## ◆ COutputPin_NewSegment()

static HRESULT STDCALL COutputPin_NewSegment | ( | IPin * | This,
|  | REFERENCE_TIME | tStart,
|  | REFERENCE_TIME | tStop,
|  | double | dRate
| ) |  |
| static

References Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_NotifyAllocator()

static HRESULT STDCALL COutputPin_NotifyAllocator | ( | IMemInputPin * | This,
|  | IMemAllocator * | pAllocator,
|  | int | bReadOnly
| ) |  |
| static

References Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_QueryAccept()

static HRESULT STDCALL COutputPin_QueryAccept | ( | IPin * | This,
|  | const AM_MEDIA_TYPE * | pmt
| ) |  |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_QueryDirection()

static HRESULT STDCALL COutputPin_QueryDirection | ( | IPin * | This,
|  | PIN_DIRECTION * | pPinDir
| ) |  |
| static

References Debug, and PINDIR_INPUT.

Referenced by COutputPinCreate().

## ◆ COutputPin_QueryId()

static HRESULT STDCALL COutputPin_QueryId | ( | IPin * | This,
|  | LPWSTR * | Id
| ) |  |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_QueryInterface()

static HRESULT STDCALL COutputPin_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | iid,
|  | void ** | ppv
| ) |  |
| static

References IPin_vt::AddRef, IMemInputPin_vt::AddRef, Debug, IID_IMemInputPin, _COutputPin::mempin, _COutputMemPin::vt, and _COutputPin::vt.

Referenced by COutputPinCreate().

## ◆ COutputPin_QueryInternalConnections()

static HRESULT STDCALL COutputPin_QueryInternalConnections | ( | IPin * | This,
|  | IPin ** | apPin,
|  | ULONG * | nPin
| ) |  |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_QueryPinInfo()

static HRESULT STDCALL COutputPin_QueryPinInfo | ( | IPin * | This,
|  | PIN_INFO * | pInfo
| ) |  |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_Receive()

static HRESULT STDCALL COutputPin_Receive | ( | IMemInputPin * | This,
|  | IMediaSample * | pSample
| ) |  |
| static

References Debug, _COutputMemPin::frame_pointer, _COutputMemPin::frame_size_pointer, IMediaSample_vt::GetActualDataLength, IMediaSample_vt::GetPointer, IMediaSample_vt::GetSize, and _IMediaSample::vt.

Referenced by COutputPinCreate().

## ◆ COutputPin_ReceiveCanBlock()

static HRESULT STDCALL COutputPin_ReceiveCanBlock | ( | IMemInputPin * | This | ) |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_ReceiveConnection()

static HRESULT STDCALL COutputPin_ReceiveConnection | ( | IPin * | This,
|  | IPin * | pConnector,
|  | const AM_MEDIA_TYPE * | pmt
| ) |  |
| static

References Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_ReceiveMultiple()

static HRESULT STDCALL COutputPin_ReceiveMultiple | ( | IMemInputPin * | This,
|  | IMediaSample ** | pSamples,
|  | long | nSamples,
|  | long * | nSamplesProcessed
| ) |  |
| static

References output_unimplemented().

Referenced by COutputPinCreate().

## ◆ COutputPin_Release()

static HRESULT STDCALL COutputPin_Release | ( | IUnknown * | This | ) |
| static

References COutputPin_Destroy(), and Debug.

Referenced by COutputPinCreate().

## ◆ COutputPin_SetFramePointer()

static void COutputPin_SetFramePointer | ( | COutputPin * | This,
|  | char ** | z
| ) |  |
| static

References _COutputMemPin::frame_pointer, _COutputPin::mempin, and z.

Referenced by COutputPinCreate().

## ◆ COutputPin_SetFrameSizePointer()

static void COutputPin_SetFrameSizePointer | ( | COutputPin * | This,
|  | long * | z
| ) |  |
| static

References _COutputMemPin::frame_size_pointer, _COutputPin::mempin, and z.

Referenced by COutputPinCreate().

## ◆ COutputPin_SetNewFormat()

static void COutputPin_SetNewFormat | ( | COutputPin * | This,
|  | const AM_MEDIA_TYPE * | amt
| ) |  |
| static

References _COutputPin::type.

Referenced by COutputPinCreate().

## ◆ COutputPin_SetPointer2()

static void COutputPin_SetPointer2 | ( | COutputPin * | This,
|  | char * | p
| ) |  |
| static

References _COutputPin::mempin, _COutputMemPin::pAllocator, and _MemAllocator::SetPointer.

Referenced by COutputPinCreate().

## ◆ COutputPinCreate()

COutputPin * COutputPinCreate | ( | const AM_MEDIA_TYPE * | amt | ) |

References IPin_vt::AddRef, IMemInputPin_vt::AddRef, IPin_vt::BeginFlush, IPin_vt::Connect, IPin_vt::ConnectedTo, IPin_vt::ConnectionMediaType, COutputPin_AddRef(), COutputPin_BeginFlush(), COutputPin_Connect(), COutputPin_ConnectedTo(), COutputPin_ConnectionMediaType(), COutputPin_Destroy(), COutputPin_Disconnect(), COutputPin_EndFlush(), COutputPin_EndOfStream(), COutputPin_EnumMediaTypes(), COutputPin_GetAllocator(), COutputPin_GetAllocatorRequirements(), COutputPin_M_AddRef(), COutputPin_M_QueryInterface(), COutputPin_M_Release(), COutputPin_NewSegment(), COutputPin_NotifyAllocator(), COutputPin_QueryAccept(), COutputPin_QueryDirection(), COutputPin_QueryId(), COutputPin_QueryInterface(), COutputPin_QueryInternalConnections(), COutputPin_QueryPinInfo(), COutputPin_Receive(), COutputPin_ReceiveCanBlock(), COutputPin_ReceiveConnection(), COutputPin_ReceiveMultiple(), COutputPin_Release(), COutputPin_SetFramePointer(), COutputPin_SetFrameSizePointer(), COutputPin_SetNewFormat(), COutputPin_SetPointer2(), IPin_vt::Disconnect, IPin_vt::EndFlush, IPin_vt::EndOfStream, IPin_vt::EnumMediaTypes, _COutputMemPin::frame_pointer, _COutputMemPin::frame_size_pointer, IMemInputPin_vt::GetAllocator, IMemInputPin_vt::GetAllocatorRequirements, _COutputPin::mempin, IPin_vt::NewSegment, IMemInputPin_vt::NotifyAllocator, NULL, _COutputMemPin::pAllocator, _COutputMemPin::parent, IPin_vt::QueryAccept, IPin_vt::QueryDirection, IPin_vt::QueryId, IPin_vt::QueryInterface, IMemInputPin_vt::QueryInterface, IPin_vt::QueryInternalConnections, IPin_vt::QueryPinInfo, IMemInputPin_vt::Receive, IMemInputPin_vt::ReceiveCanBlock, IPin_vt::ReceiveConnection, IMemInputPin_vt::ReceiveMultiple, _COutputMemPin::refcount, _COutputPin::refcount, IPin_vt::Release, IMemInputPin_vt::Release, _COutputPin::remote, _COutputPin::SetFramePointer, _COutputPin::SetFrameSizePointer, _COutputPin::SetNewFormat, _COutputPin::SetPointer2, _COutputPin::type, _COutputMemPin::vt, and _COutputPin::vt.

Referenced by DS_FilterCreate().

## ◆ output_unimplemented()

static int output_unimplemented | ( | const char * | s,
|  | void * | p
| ) |  |
| inlinestatic

References Debug.

Referenced by CEnumMediaTypes_Skip(), COutputPin_BeginFlush(), COutputPin_EndFlush(), COutputPin_EndOfStream(), COutputPin_GetAllocatorRequirements(), COutputPin_QueryAccept(), COutputPin_QueryId(), COutputPin_QueryInternalConnections(), COutputPin_QueryPinInfo(), COutputPin_ReceiveCanBlock(), and COutputPin_ReceiveMultiple().